version: '3.4'  
services:  
  nginx:
    image: nginx:latest
    container_name: nalodeni-nginx
    ports:
      - "80:8001"
    volumes:
      - ./deploy/nginx:/etc/nginx/conf.d
      - nalodeni_static:/static_nalodeni
    depends_on:
      - nalodeni
  
  nalodeni:
    image: docker-registry.pirati.cz/to/nalodeni.pirati.cz:master
    container_name: nalodeni
    volumes:
      - nalodeni_static:/nalodeni/static_files
    ports:
      - "8000"
    environment:
        - NALODENI_DEBUG=b-off
        - NALODENI_DEBUG_LOCAL=b-off
        - NALODENI_BASE_SUBDOMAIN=s-nalodeni.
        - NALODENI_BASE_DOMAIN=s-pirati.cz
        - NALODENI_APP_REG_LIMIT_HARD=s-10000
        - NALODENI_APP_REG_LIMIT_SOFT=s-50
        - NALODENI_HTTP_PROTOCOL=s-https
        - NALODENI_EMAIL_HOST=s-mailgate.pirati.cz
        - NALODENI_EMAIL_HOST_USER=s-nalodeni@pirati.cz
        - NALODENI_EMAIL_HOST_PASSWORD=s-XXXXXXXXXXXXXXXXX
        - NALODENI_EMAIL_PORT=s-587
        - NALODENI_EMAIL_USE_TLS=b-on
        - NALODENI_TOKEN_VALID_SEC=s-604800
        - NALODENI_PSQL_USER=s-nalodeni
        - NALODENI_PSQL_HOST=s-10.42.0.11
        - NALODENI_PSQL_DBNAME=s-nalodeni
        - NALODENI_PSQL_PASSWORD=s-XXXXXXXXXXXXXXXXXXXXX
        - NALODENI_AUTH_AVAIL_IDP=a-pirati,facebook,twitter,google
        - NALODENI_AUTH_CLIENT_ID=s-pirati-nalodeni
        - NALODENI_AUTH_SERVER=s-https://auth.pirati.cz/auth/realms/pirati/
        - NALODENI_AUTH_CLIENT_SECRET=s-XXXXXXXXXXXXXXXXXXXX
volumes:
  nalodeni_static:


